Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextSupport.BCSIterator

    java.lang.Object
      |
      +--java.beans.beancontext.BeanContextSupport.BCSIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  BeanContextSupport

protected static final class BeanContextSupport.BCSIterator
extends Object
implements Iterator

protected final subclass that encapsulates an iterator but implements a noop remove() method.

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`Object` | `next()` Returns the next element in the interation.
`void` | `remove()` Removes from the underlying collection the last element returned by the iterator (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `Iterator`
  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)
  Specified by:
    `hasNext` in interface `Iterator`
  Following copied from interface: `java.util.Iterator`
  Returns:
    `true` if the iterator has more elements.

### next

    public Object next()

  Description copied from interface: `Iterator`
  Returns the next element in the interation.
  Specified by:
    `next` in interface `Iterator`
  Following copied from interface: `java.util.Iterator`
  Returns:
    the next element in the iteration.
  Throws:
    `NoSuchElementException` - iteration has no more elements.

### remove

    public void remove()

  Description copied from interface: `Iterator`
  Removes from the underlying collection the last element returned by the iterator (optional operation). This method can be called only once per call to `next`. The behavior of an iterator is unspecified if the underlying collection is modified while the iteration is in progress in any way other than by calling this method.
  Specified by:
    `remove` in interface `Iterator`
  Following copied from interface: `java.util.Iterator`
  Throws:
    `UnsupportedOperationException` - if the `remove` operation is not supported by this Iterator.
    `IllegalStateException` - if the `next` method has not yet been called, or the `remove` method has already been called after the last call to the `next` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.